Page 5 of 72 FirstFirst ... 345671555 ... LastLast
Results 41 to 50 of 714

Thread: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

  1. #41
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Firefox 3.6 Final Available (Note: upgrades Official existing 3.5).

    Firefox:

    Changes for the versions:
    3.5.7+nobinonly-0ubuntu0.9.10.1
    3.6~hg20100120r33527+nobinonly-0ubuntu1~umd2~karmic

    This change is not coming from a source that supports changelogs.
    Firefox 3.6 Final Available (Note: upgrades existing the Official 3.5 if you haven't used Pinning as per previous posts).

    Its Official.
    The Mozilla Blog "Mozilla Delivers Firefox 3.6 to Millions of Users" http://bit.ly/8PRhuF
    Last edited by SilverWave; January 21st, 2010 at 11:18 PM. Reason: Its Official 3.6 is Out :)

  2. #42
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Re: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

    Just tested this on a standard Karmic install and it still works fine

    Code:
    sudo add-apt-repository ppa:ubuntu-mozilla-daily
    sudo apt-get update
    sudo apt-get install firefox-3.6
    :~$ sudo apt-get install firefox-3.6
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following extra packages will be installed:
    firefox-3.6-branding xulrunner-1.9.2
    Suggested packages:
    firefox-3.6-gnome-support
    The following NEW packages will be installed
    firefox-3.6 firefox-3.6-branding xulrunner-1.9.2
    0 upgraded, 3 newly installed, 0 to remove and 3 not upgraded.
    Need to get 0B/11.3MB of archives.
    After this operation, 34.0MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Selecting previously deselected package xulrunner-1.9.2.
    (Reading database ... 195129 files and directories currently installed.)
    Unpacking xulrunner-1.9.2 (from .../xulrunner-1.9.2_1.9.2~hg20100120r33527+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Selecting previously deselected package firefox-3.6-branding.
    Unpacking firefox-3.6-branding (from .../firefox-3.6-branding_3.6~hg20100117r33523+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Selecting previously deselected package firefox-3.6.
    Unpacking firefox-3.6 (from .../firefox-3.6_3.6~hg20100117r33523+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for menu ...
    Setting up xulrunner-1.9.2 (1.9.2~hg20100120r33527+nobinonly-0ubuntu1~umd1~karmic) ...

    Setting up firefox-3.6-branding (3.6~hg20100117r33523+nobinonly-0ubuntu1~umd1~karmic) ...
    Setting up firefox-3.6 (3.6~hg20100117r33523+nobinonly-0ubuntu1~umd1~karmic) ...
    Skipping profile in /etc/apparmor.d/disable: usr.bin.firefox-3.6
    Please restart all running instances of firefox-3.6, or you will experience problems.

    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    Processing triggers for menu ...
    :~$
    Last edited by SilverWave; January 21st, 2010 at 11:42 PM.

  3. #43
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Lightbulb Everything is Changing: Prepare Firefox for Major-Minor Version upgrades

    Note that the way Firefox is being built and maintained in Ubuntu is changing.

    As an example, they are quite far along with reducing dependencies.
    Unlike a few days ago, installing firefox-3.6 now does not install xulrunner-1.9.2.
    See the notes section below for full details (Firefox New Support Model & Blueprint etc.).

    Installing Firefox-3.6 via the ubuntu-mozilla-daily PPA
    You can't now run firefox-3.6 side-by-side with 3.5 as you could previously.
    Rather you are upgrading your existing Firefox-3.5 to the Firefox-3.6.1 package.
    The old "sudo apt-get install firefox-3.6" command will no longer work.

    New Firefox 3.6 Installation Instructions (Karmic)
    Code:
    sudo add-apt-repository ppa:ubuntu-mozilla-daily
    Now install Firefox as below (or via the Synaptic Package Manager).
    Code:
    sudo apt-get update
    sudo apt-get install firefox
    (Alternatively "sudo apt-get install firefox-3.5" works as well).

    ________________________________________________

    Log (sudo apt-get install firefox-3.5)
    Code:
    silverwave@blue:~$ sudo apt-get update
    ...
    Reading package lists... Done
    
    
    silverwave@blue:~$ sudo apt-get install firefox-3.5
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      xulrunner-1.9.1-gnome-support firefox-3.5 firefox-3.5-branding
    Use 'apt-get autoremove' to remove them.
    The following extra packages will be installed:
      firefox firefox-3.5-branding firefox-3.5-gnome-support firefox-branding
    Suggested packages:
      firefox-gnome-support
    The following NEW packages will be installed
      firefox-branding
    The following packages will be upgraded:
      firefox firefox-3.5 firefox-3.5-branding firefox-3.5-gnome-support
    4 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
    Need to get 0B/12.4MB of archives.
    After this operation, 32.1MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    (Reading database ... 194866 files and directories currently installed.)
    Preparing to replace firefox-3.5-gnome-support 3.5.7+nobinonly-0ubuntu0.9.10.1 (using .../firefox-3.5-gnome-support_3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic_all.deb) ...
    Unpacking replacement firefox-3.5-gnome-support ...
    Preparing to replace firefox-3.5-branding 3.5.7+nobinonly-0ubuntu0.9.10.1 (using .../firefox-3.5-branding_3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic_all.deb) ...
    Unpacking replacement firefox-3.5-branding ...
    Selecting previously deselected package firefox-branding.
    Unpacking firefox-branding (from .../firefox-branding_3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Preparing to replace firefox-3.5 3.5.7+nobinonly-0ubuntu0.9.10.1 (using .../firefox-3.5_3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic_all.deb) ...
    Unpacking replacement firefox-3.5 ...
    dpkg: warning: unable to delete old directory '/usr/lib/firefox-3.5.7/components': Directory not empty
    dpkg: warning: unable to delete old directory '/usr/lib/firefox-3.5.7': Directory not empty
    dpkg: warning: unable to delete old directory '/etc/firefox-3.5/pref': Directory not empty
    dpkg: warning: unable to delete old directory '/etc/firefox-3.5/profile/chrome': Directory not empty
    dpkg: warning: unable to delete old directory '/etc/firefox-3.5/profile': Directory not empty
    dpkg: warning: unable to delete old directory '/etc/firefox-3.5': Directory not empty
    Preparing to replace firefox 3.5.7+nobinonly-0ubuntu0.9.10.1 (using .../firefox_3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Unpacking replacement firefox ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for menu ...
    Setting up firefox-3.5-gnome-support (3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic) ...
    Setting up firefox-branding (3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic) ...
    Setting up firefox-3.5-branding (3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic) ...
    Setting up firefox (3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic) ...
    update-alternatives: warning: alternative /usr/bin/firefox-3.5 (part of link group x-www-browser) doesn't exist. Removing from list of alternatives.
    Skipping profile in /etc/apparmor.d/disable: usr.bin.firefox
    Please restart all running instances of firefox, or you will experience problems.
    
    Setting up firefox-3.5 (3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic) ...
    Processing triggers for menu ...
    silverwave@blue:~$ 
    
    
    silverwave@blue:~$ sudo apt-get autoremove
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be REMOVED
      firefox-3.5 firefox-3.5-branding xulrunner-1.9.1-gnome-support
    0 upgraded, 0 newly installed, 3 to remove and 1 not upgraded.
    After this operation, 455kB disk space will be freed.
    Do you want to continue [Y/n]? y
    (Reading database ... 194996 files and directories currently installed.)
    Removing firefox-3.5 ...
    Removing firefox-3.5-branding ...
    Removing xulrunner-1.9.1-gnome-support ...
    silverwave@blue:~$
    For completeness I tried "sudo apt-get install firefox", this also works.
    Code:
    silverwave@blue:~$ sudo apt-get update
    [sudo] password for silverwave: 
    ...
    Reading package lists... Done
    
    
    silverwave@blue:~$ apt-cache policy firefox
    firefox:
      Installed: 3.5.7+nobinonly-0ubuntu0.9.10.1
      Candidate: 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic
      Version table:
         3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic 0
            500 http://ppa.launchpad.net karmic/main Packages
     *** 3.5.7+nobinonly-0ubuntu0.9.10.1 0
            500 http://gb.archive.ubuntu.com karmic-updates/main Packages
            500 http://gb.archive.ubuntu.com karmic-security/main Packages
            100 /var/lib/dpkg/status
         3.5.3+build1+nobinonly-0ubuntu6 0
            500 http://gb.archive.ubuntu.com karmic/main Packages
    
    
    silverwave@blue:~$ sudo apt-get install firefox
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      xulrunner-1.9.1-gnome-support
    Use 'apt-get autoremove' to remove them.
    The following extra packages will be installed:
      firefox-3.5-gnome-support firefox-branding
    Suggested packages:
      firefox-gnome-support
    The following packages will be REMOVED
      firefox-3.5 firefox-3.5-branding
    The following NEW packages will be installed
      firefox-branding
    The following packages will be upgraded:
      firefox firefox-3.5-gnome-support
    2 upgraded, 1 newly installed, 2 to remove and 2 not upgraded.
    Need to get 73.0kB/12.2MB of archives.
    After this operation, 31.8MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Get: 1 http://ppa.launchpad.net karmic/main firefox-3.5-gnome-support 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic [73.0kB]
    Fetched 73.0kB in 0s (265kB/s)                 
    (Reading database ... 194866 files and directories currently installed.)
    Preparing to replace firefox-3.5-gnome-support 3.5.7+nobinonly-0ubuntu0.9.10.1 (using .../firefox-3.5-gnome-support_3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic_all.deb) ...
    Unpacking replacement firefox-3.5-gnome-support ...
    dpkg: firefox-3.5-branding: dependency problems, but removing anyway as you requested:
     firefox-3.5 depends on firefox-3.5-branding | abrowser-3.5-branding; however:
      Package firefox-3.5-branding is to be removed.
      Package abrowser-3.5-branding is not installed.
     firefox depends on firefox-3.5-branding.
    (Reading database ... 194864 files and directories currently installed.)
    Removing firefox-3.5-branding ...
    Processing triggers for desktop-file-utils ...
    Selecting previously deselected package firefox-branding.
    (Reading database ... 194846 files and directories currently installed.)
    Unpacking firefox-branding (from .../firefox-branding_3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Processing triggers for desktop-file-utils ...
    dpkg: firefox-3.5: dependency problems, but removing anyway as you requested:
     firefox depends on firefox-3.5.
    (Reading database ... 194864 files and directories currently installed.)
    Removing firefox-3.5 ...
    Processing triggers for menu ...
    (Reading database ... 194775 files and directories currently installed.)
    Preparing to replace firefox 3.5.7+nobinonly-0ubuntu0.9.10.1 (using .../firefox_3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Unpacking replacement firefox ...
    Processing triggers for menu ...
    Setting up firefox-3.5-gnome-support (3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic) ...
    Setting up firefox-branding (3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic) ...
    Setting up firefox (3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic) ...
    Skipping profile in /etc/apparmor.d/disable: usr.bin.firefox
    Please restart all running instances of firefox, or you will experience problems.
    
    Processing triggers for menu ...
    
    
    silverwave@blue:~$ sudo apt-get autoremove
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be REMOVED
      xulrunner-1.9.1-gnome-support
    0 upgraded, 0 newly installed, 1 to remove and 1 not upgraded.
    After this operation, 193kB disk space will be freed.
    Do you want to continue [Y/n]? y
    (Reading database ... 194996 files and directories currently installed.)
    Removing xulrunner-1.9.1-gnome-support ...
    silverwave@blue:~$ 
    
    silverwave@blue:~$ sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be upgraded:
      xulrunner-1.9.1
    1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 0B/9,394kB of archives.
    After this operation, 532kB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    (Reading database ... 194992 files and directories currently installed.)
    Preparing to replace xulrunner-1.9.1 1.9.1.7+nobinonly-0ubuntu0.9.10.1 (using .../xulrunner-1.9.1_1.9.1.8~hg20100121r26730+nobinonly-0ubuntu2~umd1~karmic_amd64.deb) ...
    Removing obsolete conffile /etc/gre.d/1.9.1.7.system.conf ...
    Unpacking replacement xulrunner-1.9.1 ...
    Setting up xulrunner-1.9.1 (1.9.1.8~hg20100121r26730+nobinonly-0ubuntu2~umd1~karmic) ...
    update-alternatives: using /usr/bin/xulrunner-1.9.1 to provide /usr/bin/xulrunner (xulrunner) in auto mode.
    
    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    silverwave@blue:~$
    ________________________________________________

    Notes

    From: blueprints.launchpad.net
    Prepare Firefox for Major-Minor Version upgrades

    Mozilla moved to a monthly security update cycle early in 2009; next step planned is to stop doing stable release branches for any distro-relevant amount of time. For instance, they consider to release firefox 3.6 as a minor update to firefox 3.5 and want to a 3-4 month cycle for such minor-major version upgrades. Also it happens more frequently now that they bump requirements on system libs like cairo and sqlite3 in minor version upgrades.
    This is in line with what is planned by chromium and it's unfeasible to try to do our own stable release branch maintenance as this would require far more resources than we can get at any point in the future.
    Instead we should prepare for what is coming and ensure that we can follow major-minor version upgrades in a timely fashion.
    Main topics addressed by this blueprint are:
    1. how to prepare the firefox package so we can follow the major-minor version upgrade path.
    2. how to deal with xulrunner reverse-dependencies
    From: wiki.ubuntu.com
    DesktopTeam/Specs/Lucid/FirefoxNewSupportModel

    • DesktopTeam/Specs/Lucid/FirefoxNewSupportModel




    Summary

    This spec is about reviewing the current support model for firefox in stable ubuntu releases. Goal is to identify tasks and procedures that are work intensive or incur risk while not giving appropriate value for the distributions. For those tasks and procedures alternatives are presented that involve rolling major version updates to stable ubuntu releases.
    This spec covers two parts:

    1. ensure that from lucid onward updating firefox versions to the next stable branch in security updates does not involve huge porting efforts
    2. minimize regressions in existing ubuntu releases when updating firefox/xulrunner and friends to the latest supported upstream branch


    Rational

    In short or long term firefox is expected to move to a changed branch policy; this most likely will involve even shorter support for stable release branches. Numbers discussed are: 4-6 weeks for minor security/stability updates and 4-6 month for major version updates; at the same time security/stability support for old branches will be dropped.
    In consequence, using our "old" way of backporting patches for firefox becomes more and more unfeasible. The risks of incurring distribution regressions is high, while the win is debatable.

    Design - New releases

    The change in support model suggested by this spec involves changes to various areas outlined in separate sub sections below. On top this spec defines how a switch to this new support model for existing ubuntu releases can be accomplished in a diligent fashion.

    Major version upgrades instead of backporting

    Instead of backporting patches to EOL branches, ubuntu releases will be updated to the next still supported firefox branch once the current firefox branch of that ubuntu release goes EOL upstream. This will reduce the workload on developer and QA side considerably and reduce the risk of incurring additional regressions due to backporting bugs.

    Use in-source libraries rather than system libs

    enabling system libs is not officially supported upstream and supporting this caused notable work in the past while sometimes leading to a suboptimal user experience due to version variants in the ubuntu released compared to the optimize version shipped in the firefox upstream tarballs.

    Reduce in-archive reverse dependencies to a minimum

    Not backporting security fixes, but upgrading to new firefox branches would come with a considerable effort for backporting reverse dependencies in the archive. To keep this approach sustainable the ubuntu archive needs to be reviewed and only the most important packages can be kept.

    Move extensions to a PPA

    Extension packages are useful, but the archives stable support properties doesn't fit their release policies and user expectations well. Hence, extensions should be moved to a PPA which then can be made available prominently in the software center or even through the firefox extension manager at some point.

    Design - stable ubuntu releases

    Stable ubuntu releases, will require a full security coverage in main. This also includes the xulrunner-1.9.1 packages. Assuming that xulrunner 1.9.1 cannot be kept secure we will need to update xulrunner to latest branch in much the same way as suggested for firefox.

    Eliminate embedders

    non-trivial gecko embedders must be eliminated in stable ubuntu releases; this needs to happen by moving them to an existing webkit variant; if no webkit port exists, porting them to next xulrunner branch needs to be done.

    port plugins

    Plugins need to be ported in time to the new firefox/xulrunner major version. Usually this should work well, however, there are potential issues with java in particular.

    upgrade extensions

    Extensions that ship binary components must be updated to latest upstream version. For extensions that are hosted on AMO (addons.mozilla.org) and do not have binary components we need to ensure that extensions get updated to the profile version. For that we ship an install.rdf in an otherwise empty extension package with a special hint that triggers a system to profile upgrade on next firefox start.

    Implementation - Lucid


    • produce a firefox package that does not use system-libxul
    • remove as many system libs from firefox build as possible; revert to in-source libs where possible
    • assemble a table of reverse dependencies
      • prioritize reverse dependencies
      • mark packages that we cannot or do not need to support for removal
      • mark packages that use the gecko embedding API
      • mark and categorize extensions in archive:
        • extensions with binary components
        • extensions without AMO (addons.mozilla.org) support
        • arch-independent extensions available from AMO (addons.mozilla.org)


    • take decision on support/removal/porting to webkit on all individual packages
    • decide on demotion vs. droppage of xulrunner-1.9.x from the archive.
    • port/implement/remove packages as decided


    Implementation for existing releases


    • prepare firefox major version upgrade; base on the lucid branch
    • assemble tables for reverse dependencies for all supported ubuntu releases
      • prioritize reverse dependencies
      • mark reverse dependencies that are not exposed to unsafe content and hence do not need to be upgraded/replaced
      • mark packages that we cannot or do not need to support
      • mark packages that use the gecko embedding API
      • mark extension packages in the archive for each individual release:
        • extensions with binary components
        • extensions without AMO (addons.mozilla.org) support
        • arch-independent extensions available from AMO (addons.mozilla.org)


    • take decision on support/removal/porting to webkit on all individual packages
    • backport karmic/lucid packages for reverse dependencies that moved to webkit or something else


    Implementation background

    Moving to this new support model has some implications on what packages can be accepted in the ubuntu repository in future:

    • xulrunner embedders must be removed or replaced with webkit backend alternatives
    • xulrunner npapi plugins should be maintainable accross multiple firefox branches and hence can still be in the archive
    • xulrunner/firefox extensions must be reduced to the very minimum in archive. Main reason for archive inclusion should one of the following:
      1. required for an ubuntu image or essential use case
      2. has binary components - rational is that upstream binary components usually do not support amd64 or other supported ubuntu archs.
      3. considered useful and is not distributed in AMO (addons.mozilla.org).

    Package Details
    firefox - 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic
    (changesfile) fta 6 hours ago Published Karmic Web All builds were built successfully.

    Changelog
    Code:
    firefox (3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic) karmic; urgency=low
    
      * New upstream release v3.6 (FIREFOX_3_6_RELEASE)
        + fix LP: #449744 - Firefox crashes when attempting to load Firebug 1.5
        + fix LP: #66015 - Duplicate spell checking dictionaries for every entry
        + fix LP: #132938 - tooltips dont work in sidebar
        + fix LP: #195698 - Password asked separately for each tab that requires it
                            (proxy)
        + fix LP: #239462 - tooltips disappear too fast
        + fix LP: #385816 - Resize corner grab stays visible after maximize
        + fix LP: #429476 - firefox crash on javascript page
        + fix LP: #432876 - Icons missing in Firefox searchbox drop down list
        + fix LP: #486284 - maxlength on input box can be overriden by autocomplete
        + fix LP: #501393 - Integrate Firefox notifications with notify-osd bling
    
      [ H. Montoliu <email address hidden> ]
      * fix LP: #361052 - firefox apport hook fails to retrieve pluginreg.dat file
      * update debian/apport/firefox-3.6.py - removed unused code and minor refactoring.
    
      [ Fabien Tassin <email address hidden> ]
      * Update the location of the upsteam branch now that 3.6/Namoroka has its own
        branch, and trunk moved on to 3.7
        - update debian/mozclient/firefox-3.6.conf
      * Use Namoroka instead of Shiretoko as brand name and use it for snapshots.
        Name it Namoroka in the Preferred Application UI too
        - update debian/firefox-3.6-shiretoko.desktop => debian/firefox-3.6-namoroka.desktop
        - update debian/firefox-3.6.xml
        - update debian/rules
      * Target the 'default' branch instead of tip
        - add debian/moz-rev.sh
        - update debian/mozclient/firefox-3.6.conf
      * Drop upstreamed patch now that it has landed and add --with-system-libxul
        to configure.
        - update debian/rules
        - drop debian/patches/installer_shouldnt_copy_xulrunner.patch
        - update debian/patches/series
      * Add libstartup-notification0-dev to build-deps as it now seems to be
        mandatory on lpia
        - update debian/control
      * Update MOZCLIENT_GETDATE to make it use pushlog so it is not confused by merges with
        dates in the past
        - update debian/mozclient/firefox-3.6.conf
      * Add firefox 3.6 to the list of Preferred Applications in Gnome
        - add debian/firefox-3.6.xml
        - update debian/firefox-3.6-gnome-support.install
      * Fix profile migrator broken when using abrowser-3.6
        - update debian/firefox.sh.in
      * Call update-menus
        - update debian/firefox-3.6.postinst.in
      * Fix bogus prerm rule removing the wrong alternative
        - update renamed debian/firefox-3.6.prerm -> debian/firefox-3.6.prerm.in
        - update debian/rules
      * Fix startup page, release notes and first run bogus URLs when
        using non official brandings. Also fix bogus addons URLs due
        to our change of appname
        - update debian/patches/firefox-profilename
      * Fix postinst to also consider firefox-3.6 for the update-notifier
        restart notification
        - update debian/firefox-3.6.postinst.in
      * Bump Standards-Version to 3.8.1
        - update debian/control
      * Add ${misc:Depends} to all non-transitional packages, make firefox-3.6-dbg
        depend on firefox-3.6 with the exact same version, move -dbg packges to
        priority extra and add firefox-3.6-gnome-support-dbg
        - update debian/control
      * Update diverged patches:
        - update debian/patches/browser_branding.patch
        - update debian/patches/firefox-profilename
        - update debian/patches/ubuntu_bookmarks.patch
        - update debian/patches/lp185622_system_path_default_browser.patch
        - update debian/patches/dont_depend_on_nspr_sources.patch
    
      [ Alexander Sack <email address hidden> ]
      * add libnotify-dev to build-depends
        - update debian/control
      * fix LP: #398121 - firefox-3.5-gnome-support failed to install/upgrade; we
        make the postinst script more failsafe
        - update debian/firefox-3.6-gnome-support.postinst.in
      * add libiw-dev to build-depends to fix build failure
        - update debian/control
      * set BUILD_OFFICIAL = 1 to enable all official build features
        - update debian/rules
      * fix LP: #404827 - Firefox doesn't warn about Attack Sites!?; add
        --enable-safe-browsing to configure flags
        - update debian/rules
      * fix restart issues by installing proper versioned binary (without firefox-fsh
        patch changing the dist binary name); in turn drop unversioned firefox link
        from .install; dropping versioned binary part from firefox-fsh accordingly
        - update debian/rules
        - update debian/firefox-3.6.install
        - update debian/patches/firefox-fsh
      * fix LP: #422365 - apport hook fails because profiles_d is not initialized
        in add_info if no profiles.ini exist; we ensure that profiles_d gets instantiated
        as an empty map even if no profiles.ini exist.
        - update debian/apport/firefox-3.6.py
      * hook firefox-addons/searchplugins as the distribution/searchplugins
        directory to support localized distro search engines.
        - update debian/rules
      * in case localized search engines are available the main searchplugins
        directory is not scanned anymore; to fix this we provide a compatibility
        link /usr/lib/firefox-addons/searchplugins/common => /usr/lib/firefox-addons/searchplugins
        - update debian/firefox-3.5.links
      * until we move searchplugins to a separate package provided only by the current default
        firefox, we need to make firefox-3.6 replace all the older firefox binary packages:
        firefox-3.5, firefox-3.2, firefox-3.1, firefox-3.0
        - update debian/control
      * fix localized search engine upstream code to use ChromeRegistry locale
        information rather than a char pref; also change plugin dir order to allow
        locale specific searchplugins to overlay the ones shipped in
        "searchplugins/common"
        - add debian/patches/bz515232_att399338_distro_locale_searchplugins.patch
        - update debian/patches/series
      * fix LP: #423610 - daily build failures after landing of mozilla-nss.pc droppage
        (bug 422829); we drop our previously used nspr pkgconfig patch and fix
        configure.in to not require in-source nspr if libxul-sdk is used
        - delete debian/patches/nspr_flags_by_pkg_config_hack.patch
        - add debian/patches/bzXXX_libxul_sdk_nspr.patch
        - update debian/patches/series
      * implement MIN_SYS_DEPS approach that does not use system xulrunner
        and only a minimal set of system dependencies.
        + drop patches not required anymore:
          - delete debian/patches/dont_depend_on_nspr_sources.patch
          - update debian/patches/series
        + update browser directory provider patch
          - update debian/patches/bz515232_att399338_distro_locale_searchplugins.patch
        + move .install lines that depend on whether MIN_SYS_DEPS is used or not
          to debian/rules in ifneq (,$(MIN_SYS_DEPS)) blocks
          - update debian/rules
          - update debian/firefox-3.5.install
        + ship gnome support .so's inside of the main package, but keep dependencies in
          the (now empty) gnome-support package; to achieve this, we first install
          the gnome support files in the -gnome-support package and move them to the
          main package _after_ shlib depends where generated
          - update debian/rules
        + do not build-depend on xulrunner dev package anymore; local xulrunner builds
          with MIN_SYS_DEPS=0 should still work though
          - update debian/control
        + make firefox-3.5 conflict firefox-3.5-gnome-support as it shipps the gnome
          files directly now
          - update debian/control
      * add patch for armv7 support
        - add debian/patches/bz532198_lp488354_ns_invokebyindex_not_thumb2_safe.patch
        - update debian/patches/series
      * move to unversioned binary and source package name for "archive" firefox
        + generalize final version dependent pieces in debian/rules
          - update debian/rules
        + update mozclient/ files to create unversioned sources/tarballs
          - rename debian/mozclient/firefox-3.6.conf => debian/mozclient/firefox.conf
          - update debian/mozclient/firefox.conf
          - rename debian/mozclient/firefox-3.6.mk => debian/mozclient/firefox.mk
        + rename and update previously versioned debhelper files
          - rename debian/firefox-3.6-dev.install => debian/firefox-dev.install
          - rename debian/firefox-3.6-dev.links => debian/firefox-dev.links
          - rename debian/firefox-3.6-gnome-support.install => debian/firefox-gnome-support.install
          - rename debian/firefox-3.6-gnome-support.postinst.in => debian/firefox-gnome-support.postinst.in
          - rename debian/firefox-3.6.dirs => debian/firefox.dirs
          - rename debian/firefox-3.6.install => debian/firefox.install
          - update debian/firefox.install
          - rename debian/firefox-3.6.links => debian/firefox.links
          - update debian/firefox.links
        + rename versioned maintainer scripts
          - rename debian/firefox-3.6.postinst.in => debian/firefox.postinst.in
          - rename debian/firefox-3.6.postrm.in => debian/firefox.postrm.in
          - rename debian/firefox-3.6.preinst.in => debian/firefox.preinst.in
          - rename debian/firefox-3.6.prerm.in => debian/firefox.prerm.in
        + rename and update previously versioned .desktop, gnome helper and other debian
          integration files
          - rename debian/abrowser-3.6.desktop => debian/abrowser.desktop
          - rename debian/firefox-3.6-final.desktop => debian/firefox-final.desktop
          - update debian/firefox-final.desktop
          - rename debian/firefox-3.6-minefield.desktop => debian/firefox-minefield.desktop
          - update debian/firefox-minefield.desktop
          - rename debian/firefox-3.6-namoroka.desktop => debian/firefox-namoroka.desktop
          - update debian/firefox-namoroka.desktop
          - rename debian/firefox-3.6.menu => debian/firefox.menu
          - update debian/firefox.menu
          - rename debian/firefox-3.6.xml => debian/firefox.xml
          - update debian/firefox.xml
          - rename debian/firefox-3.6-restart-required.update-notifier => debian/firefox-restart-required.update-notifier
          - update debian/firefox-restart-required.update-notifier
          - update debian/control
        + disable patches for versioned directories and binaries
          - update debian/patches/series
        + add fix issues in libpr0n for make syntax issues after lucid dash/bash update;
          patch by Kees Cook <email address hidden>
          - add debian/patches/fix-build-glitch.patch
          - update debian/patches/series
      * ease transition for daily firefox-3.6 users by adding conflicts/replaces on firefox-3.6-gnome-support
        to firefox binary package which now ships bits previously in there.
        - update debian/control
      * update to firefox.sh.in start script from firefox-3.5 branch and add firefox-3.6 transition
        accordingly; also adjust a bunch of wrongly worded debug messages
        - update debian/firefox.sh.in
      * fix version number used in profile migration dialog
        - update debian/migrator/main.c
      * fix wrapper startscript to properly handle all-static firefox build
        - update debian/firefox.sh.in
    
      [ Micah Gersten <email address hidden> ]
      * Rebase/minor code change after upstream landing of unified manifest (bmo: 511642)
        - update debian/patches/awesome_browser_branding_install.patch
        - update debian/patches/browser_branding.patch
        - update debian/patches/bzXXX_moz_app_name_inconsistencies.patch
      * Bump minimum system cairo to 1.8.8
        - update debian/rules
    
      [ Jamie Strandboge <email address hidden> ]
      * add AppArmor profile (disabled by default)
        - debian/firefox-3.6.dirs: add etc/apparmor.d/disable
        - add debian/firefox-3.6.preinst.in: disable the profile on new installs,
          installs where the last modified profile is disabled and upgrades to
          this version
        - debian/firefox-3.6.postinst.in: reload profile
        - add debian/firefox-3.5.postrm.in: cleanup force-complain and disable
          directories
        - add debian/usr.bin.firefox.apparmor.in
        - add debian/README.Debian.in with note about AppArmor
        - debian/apport/firefox-3.6.py: add AppArmor information if the profile is
          not disabled
        - debian/rules: install profile and update subst_files
        - allow dirname and pwd. Thanks to Thomas Templin. (LP: #510644)
        - allow the IBM jre
        - debian/usr.bin.firefox.apparmor.in: use @LIBDIR@/firefox-*bin as binary
          confined by AppArmor
    
      [ Benjamin Drung <email address hidden> ]
      * Add metadata for mozilla-devscripts
        - update debian/control
    
      [ Kees Cook <email address hidden> ]
      * enable PIE build for stronger security (LP: #507744)
        - update debian/rules
        - update debian/control
    
      [ Fabien Tassin ]
     -- Fabien Tassin <email address hidden>   Fri, 22 Jan 2010 21:51:11 +0100
    
    Available diffs
    
        * 3.6.1~hg20100122r33533+nobinonly-0ubuntu1~umd1~karmic to 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic (4.2 KiB)
    Interesting...
    * implement MIN_SYS_DEPS approach that does not use system xulrunner
    and only a minimal set of system dependencies.

    + ship gnome support .so's inside of the main package, but keep dependencies in
    the (now empty) gnome-support package; to achieve this, we first install
    the gnome support files in the -gnome-support package and move them to the
    main package _after_ shlib depends where generated
    - update debian/rules
    + do not build-depend on xulrunner dev package anymore; local xulrunner builds
    with MIN_SYS_DEPS=0 should still work though
    - update debian/control
    + make firefox-3.5 conflict firefox-3.5-gnome-support as it shipps the gnome
    files directly now
    - update debian/control
    Last edited by SilverWave; January 24th, 2010 at 01:43 AM. Reason: sudo apt-get install firefox

  4. #44
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: Everything is Changing: Prepare Firefox for Major-Minor Version upgrades (Karmic)

    Quote Originally Posted by SilverWave View Post
    Everything is Changing
    OK the old instructions, noted in the last post, may no longer work as things have changed.
    This is because Firefox-3.6 is now considered to be a minor version upgrade to 3.5 and the Ubuntu Mozilla Daily PPA packages have been rebuilt to reflect this.
    It was already updating firefox-3.5 package to 3.6 since the official release from Mozilla, if you just updated Firefox after adding ubuntu-mozilla-daily ppa. So I guess they were already following the new policy of major-minor versions. Nevertheless, you was able to install firefox-3.6 separately until yesterday. I can confirm this can no longer be done. Now, even if you try to install firefox-3.6 package, you get an update instead of a separate application.

  5. #45
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Re: Everything is Changing: Prepare Firefox for Major-Minor Version upgrades (Karmic)

    Quote Originally Posted by lovinglinux View Post
    It was already updating firefox-3.5 package to 3.6 since the official release from Mozilla, if you just updated Firefox after adding ubuntu-mozilla-daily ppa. So I guess they were already following the new policy of major-minor versions. Nevertheless, you was able to install firefox-3.6 separately until yesterday. I can confirm this can no longer be done. Now, even if you try to install firefox-3.6 package, you get an update instead of a separate application.
    Thanks for the independent confirmation.

    BTW have you seen this?

    Interesting...
    Quote:
    * implement MIN_SYS_DEPS approach that does not use system xulrunner
    and only a minimal set of system dependencies.

    + ship gnome support .so's inside of the main package, but keep dependencies in
    the (now empty) gnome-support package; to achieve this, we first install
    the gnome support files in the -gnome-support package and move them to the
    main package _after_ shlib depends where generated
    - update debian/rules
    + do not build-depend on xulrunner dev package anymore; local xulrunner builds
    with MIN_SYS_DEPS=0 should still work though
    - update debian/control
    + make firefox-3.5 conflict firefox-3.5-gnome-support as it shipps the gnome
    files directly now
    - update debian/control
    I think its interesting as to how far along they are with reducing dependencies to xulrunner...

    I noticed that unlike a few days ago, installing firefox-3.6 now does not install xulrunner-1.9.2

  6. #46
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: Everything is Changing: Prepare Firefox for Major-Minor Version upgrades (Karmic)

    Quote Originally Posted by SilverWave View Post
    Thanks for the independent confirmation.

    BTW have you seen this?

    I think its interesting as to how far along they are with reducing dependencies to xulrunner...

    I noticed that unlike a few days ago, installing firefox-3.6 now does not install xulrunner-1.9.2
    I have noticed that too. Although I have installed it manually and removed version 1.9.1. I'm about to remove both and see what happens. Synaptic doesn't complain about dependencies (I use KDE)

    EDIT: it works! Wicked. I was wondering why Namoroka didn't show xulrunner info in the about page. As far as I remember, this info was included in Firefox 3.5, wasn't it? I guess we have found why it isn't anymore.
    Last edited by lovinglinux; January 23rd, 2010 at 10:19 PM.

  7. #47
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    4,289
    Distro
    Ubuntu Development Release

    Re: Everything is Changing: Prepare Firefox for Major-Minor Version upgrades (Karmic)

    Quote Originally Posted by lovinglinux View Post
    I have noticed that too. Although I have installed it manually and removed version 1.9.1. I'm about to remove both and see what happens. Synaptic doesn't complain about dependencies

    EDIT: it works! Wicked. I was wondering why Namoroka didn't show xulrunner info in the about page. As far as I remember, this info was included in Firefox 3.5, wasn't it? I guess we have found why it isn't anymore.
    If I try to remove 1.9.1 it wants to remove a bunch of couchdb stuff...
    Code:
    ~$ sudo aptitude purge xulrunner-1.9.1
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Reading extended state information      
    Initializing package states... Done
    The following packages are BROKEN:
      couchdb-bin xulrunner-1.9.1-gnome-support 
    The following packages will be REMOVED:
      xulrunner-1.9.1{p} 
    0 packages upgraded, 0 newly installed, 1 to remove and 16 not upgraded.
    Need to get 0B of archives. After unpacking 27.9MB will be freed.
    The following packages have unmet dependencies:
      xulrunner-1.9.1-gnome-support: Depends: xulrunner-1.9.1 (= 1.9.1.8~hg20100122r26732+nobinonly-0ubuntu1~umd1) but it is not installable
      couchdb-bin: Depends: xulrunner-1.9.1 but it is not installable
    The following actions will resolve these dependencies:
    
    Remove the following packages:
    couchdb-bin
    desktopcouch
    evolution-couchdb
    python-desktopcouch
    python-desktopcouch-records
    xulrunner-1.9.1-gnome-support
    
    Leave the following dependencies unresolved:
    ubuntu-desktop recommends evolution-couchdb
    Score is 264
    
    Accept this solution? [Y/n/q/?]

  8. #48
    Join Date
    Aug 2008
    Location
    Brazil
    Beans
    12,497
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: Everything is Changing: Prepare Firefox for Major-Minor Version upgrades (Karmic)

    Quote Originally Posted by zika View Post
    If I try to remove 1.9.1 it wants to remove a bunch of couchdb stuff...
    I forgot a little detail...I use KDE

    While Firefox does not need xulrunner anymore, there are other gnome dependencies. So don't do it.

    Or look at this and decide for yourself.

    Anyway, I don't see a reason to remove xulrunner other than testing if Firefox doesn't need it.
    Last edited by lovinglinux; January 23rd, 2010 at 10:22 PM.

  9. #49
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Re: Everything is Changing: Prepare Firefox for Major-Minor Version upgrades

    Quote Originally Posted by zika View Post
    If I try to remove 1.9.1 it wants to remove a bunch of ...
    Accept this solution? [Y/n/q/?]
    Definitely No.

    I was referring to Firefox-3.6 not needing xulrunner-1.9.2.

    As you can see Karmic was built with the expectation that lots of different packages could call on xulrunner-1.9.1.
    Last edited by SilverWave; January 23rd, 2010 at 11:26 PM.

  10. #50
    Join Date
    Dec 2006
    Beans
    717
    Distro
    Xubuntu 13.04 Raring Ringtail

    Arrow Re: Install The Newest Firefox ppa with command "add-apt-repository" (9.10 & above)

    RE: ubuntu-mozilla-daily

    ffox36-daily-transition-special 3.6+karmic Alexander Sack (2010-01-21)

    firefox 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic Fabien Tassin (19 hours ago)
    firefox-3.5 3.5.8~hg20100122r26732+nobinonly-0ubuntu1~umd1~karmic Fabien Tassin (19 hours ago)
    firefox-3.6 3.6~hg20100119r33526+nobinonly-0ubuntu1~umd1~karmic Fabien Tassin (2010-01-20)
    firefox-3.7 3.7~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic Fabien Tassin (19 hours ago)
    mozilla-devscripts 0.20~umd8~karmic Fabien Tassin (2010-01-13)
    prism 1.0b3pre+svn20100114r59888-0ubuntu1~umd1~karmic Fabien Tassin (2010-01-15)
    thunderbird-3.0 3.0.2~hg20100123r4647+nobinonly-0ubuntu1~umd1~karmic Fabien Tassin (19 hours ago)
    thunderbird-3.1 3.1~a1~hg20091229r4604+nobinonly-0ubuntu1~umd1~karmic Fabien Tassin (2010-01-02)
    xulrunner-1.9.1 1.9.1.8~hg20100122r26732+nobinonly-0ubuntu1~umd1~karmic Fabien Tassin (19 hours ago)
    xulrunner-1.9.2 1.9.2.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic Fabien Tassin (19 hours ago)
    xulrunner-1.9.3 1.9.3~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic Fabien Tassin (19 hours ago)
    Interesting. I wondered why I was being offered an update which looked to have the same build.

    Code:
    :~$ apt-cache policy firefox
    firefox:
      Installed: 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic
      Candidate: 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic
      Version table:
         3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic 0
            500 http://ppa.launchpad.net karmic/main Packages
     *** 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic 0
            100 /var/lib/dpkg/status
         3.5.7+nobinonly-0ubuntu0.9.10.1 0
            500 http://gb.archive.ubuntu.com karmic-updates/main Packages
            500 http://gb.archive.ubuntu.com karmic-security/main Packages
         3.5.3+build1+nobinonly-0ubuntu6 0
            500 http://gb.archive.ubuntu.com karmic/main Packages
    :
    Installed: 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic
    Candidate: 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic

    Code:
    :~$ sudo apt-get upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following packages will be upgraded:
      firefox firefox-3.5-gnome-support firefox-branding xulrunner-1.9.1
    4 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 21.6MB of archives.
    After this operation, 24.6kB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Get: 1 http://ppa.launchpad.net karmic/main firefox-branding 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic [147kB]
    Get: 2 http://ppa.launchpad.net karmic/main firefox 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic [12.0MB]
    Get: 3 http://ppa.launchpad.net karmic/main firefox-3.5-gnome-support 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic [72.7kB]                                                                          
    Get: 4 http://ppa.launchpad.net karmic/main xulrunner-1.9.1 1.9.1.8~hg20100122r26732+nobinonly-0ubuntu1~umd1~karmic [9,400kB]                                                                                 
    Fetched 21.6MB in 1min 44s (207kB/s)                                                                                                                                                                          
    (Reading database ... 194993 files and directories currently installed.)
    Preparing to replace firefox-branding 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic (using .../firefox-branding_3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic_amd64.deb) ...
    Unpacking replacement firefox-branding ...
    Preparing to replace firefox 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic (using .../firefox_3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic_amd64.deb) ...
    Unpacking replacement firefox ...
    Preparing to replace firefox-3.5-gnome-support 3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd1~karmic (using .../firefox-3.5-gnome-support_3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic_all.deb) ...
    Unpacking replacement firefox-3.5-gnome-support ...
    Preparing to replace xulrunner-1.9.1 1.9.1.8~hg20100121r26730+nobinonly-0ubuntu2~umd1~karmic (using .../xulrunner-1.9.1_1.9.1.8~hg20100122r26732+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Unpacking replacement xulrunner-1.9.1 ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for menu ...
    Setting up firefox-3.5-gnome-support (3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic) ...
    Setting up xulrunner-1.9.1 (1.9.1.8~hg20100122r26732+nobinonly-0ubuntu1~umd1~karmic) ...
    update-alternatives: using /usr/bin/xulrunner-1.9.1 to provide /usr/bin/xulrunner (xulrunner) in auto mode.
    
    Setting up firefox-branding (3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic) ...
    Setting up firefox (3.6.1~hg20100122r33535+nobinonly-0ubuntu1~umd2~karmic) ...
    Skipping profile in /etc/apparmor.d/disable: usr.bin.firefox
    Please restart all running instances of firefox, or you will experience problems.
    
    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    Processing triggers for menu ...
    :~$
    Also did a test install of firefox-3.7

    Code:
    :~$ apt-cache policy firefox-3.7
    firefox-3.7:
      Installed: (none)
      Candidate: 3.7~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic
      Version table:
         3.7~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic 0
            500 http://ppa.launchpad.net karmic/main Packages
    
    
    :~$ sudo apt-get install firefox-3.7
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    The following extra packages will be installed:
      firefox-3.7-branding xulrunner-1.9.3
    Suggested packages:
      firefox-3.7-gnome-support
    The following NEW packages will be installed
      firefox-3.7 firefox-3.7-branding xulrunner-1.9.3
    0 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
    Need to get 12.2MB of archives.
    After this operation, 36.4MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Get: 1 http://ppa.launchpad.net karmic/main xulrunner-1.9.3 1.9.3~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic [11.2MB]
    Get: 2 http://ppa.launchpad.net karmic/main firefox-3.7-branding 3.7~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic [143kB]                                                                               
    Get: 3 http://ppa.launchpad.net karmic/main firefox-3.7 3.7~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic [917kB]                                                                                        
    Fetched 12.2MB in 23s (521kB/s)                                                                                                                                                                               
    Selecting previously deselected package xulrunner-1.9.3.
    (Reading database ... 194992 files and directories currently installed.)
    Unpacking xulrunner-1.9.3 (from .../xulrunner-1.9.3_1.9.3~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Selecting previously deselected package firefox-3.7-branding.
    Unpacking firefox-3.7-branding (from .../firefox-3.7-branding_3.7~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Selecting previously deselected package firefox-3.7.
    Unpacking firefox-3.7 (from .../firefox-3.7_3.7~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic_amd64.deb) ...
    Processing triggers for desktop-file-utils ...
    Processing triggers for menu ...
    Setting up xulrunner-1.9.3 (1.9.3~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic) ...
    
    Setting up firefox-3.7-branding (3.7~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic) ...
    Setting up firefox-3.7 (3.7~a1~hg20100123r37429+nobinonly-0ubuntu1~umd1~karmic) ...
    Skipping profile in /etc/apparmor.d/disable: usr.bin.firefox-3.7
    Please restart all running instances of firefox-3.7, or you will experience problems.
    
    Processing triggers for libc-bin ...
    ldconfig deferred processing now taking place
    Processing triggers for menu ...
    :~$
    Last edited by SilverWave; January 24th, 2010 at 01:38 AM.

Page 5 of 72 FirstFirst ... 345671555 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •